package com.qmth.paper.library.common.base;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 分页封装
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/7
 */
public class BasePage {

    private Long schoolId;

    @ApiModelProperty(value = "分页页码")
    private Integer pageNumber;

    @ApiModelProperty(value = "分页数")
    private Integer pageSize;

    public BasePage(Integer pageNumber, Integer pageSize) {
        this.pageNumber = (int) pageNumber;
        this.pageSize = pageSize;
    }

    public BasePage() {

    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Integer getPageNumber() {
        return pageNumber;
    }

    public void setPageNumber(Integer pageNumber) {
        this.pageNumber = pageNumber;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
